# SceKernelThreadInfo Struct Reference
[Thread Manager Library]

`#include <sdk/user/pspthreadman.h>`

Collaboration diagram for SceKernelThreadInfo:

[legend]

## Detailed Description

Structure to hold the status information for a thread.

See also:
  sceKernelReferThreadStatus

## Data Fields

SceSize | size
| Size of the structure.
char | name [32]
| Nul terminated name of the thread.
SceUInt | attr
| Thread attributes.
int | status
| Thread status.
SceKernelThreadEntry | entry
| Thread entry point.
void * | stack
| Thread stack pointer.
int | stackSize
| Thread stack size.
void * | gpReg
| Pointer to the gp.
int | initPriority
| Initial priority.
int | currentPriority
| Current priority.
int | waitType
| Wait type.
SceUID | waitId
| Wait id.
int | wakeupCount
| Wakeup count.
int | exitStatus
| Exit status of the thread.
SceKernelSysClock | runClocks
| Number of clock cycles run.
SceUInt | intrPreemptCount
| Interrupt preemption count.
SceUInt | threadPreemptCount
| Thread preemption count.
SceUInt | releaseCount
| Release count.

## Field Documentation

SceUInt SceKernelThreadInfo::attr

| Thread attributes.

int SceKernelThreadInfo::currentPriority

| Current priority.

SceKernelThreadEntry SceKernelThreadInfo::entry

| Thread entry point.

int SceKernelThreadInfo::exitStatus

| Exit status of the thread.

void* SceKernelThreadInfo::gpReg

| Pointer to the gp.

int SceKernelThreadInfo::initPriority

| Initial priority.

SceUInt SceKernelThreadInfo::intrPreemptCount

| Interrupt preemption count.

char SceKernelThreadInfo::name[32]

| Nul terminated name of the thread.

SceUInt SceKernelThreadInfo::releaseCount

| Release count.

SceKernelSysClock SceKernelThreadInfo::runClocks

| Number of clock cycles run.

SceSize SceKernelThreadInfo::size

| Size of the structure.

void* SceKernelThreadInfo::stack

| Thread stack pointer.

int SceKernelThreadInfo::stackSize

| Thread stack size.

int SceKernelThreadInfo::status

| Thread status.

SceUInt SceKernelThreadInfo::threadPreemptCount

| Thread preemption count.

SceUID SceKernelThreadInfo::waitId

| Wait id.

int SceKernelThreadInfo::waitType

| Wait type.

int SceKernelThreadInfo::wakeupCount

| Wakeup count.

The documentation for this struct was generated from the following file:

- sdk/user/pspthreadman.h